import classes from "./SectionSurface.module.css";
import { motion, type HTMLMotionProps } from "motion/react";
import clsx, { type ClassValue } from "clsx";

type Props = Omit<HTMLMotionProps<"div">, "className"> & {
  className?: ClassValue;
};

export default function SectionSurface(props: Props) {
  return (
    <motion.div
      initial={{ scale: 0 }}
      animate={{ scale: 1 }}
      transition={{ duration: 0.2, type: "spring" }}
      {...props}
      className={clsx(classes.sectionSurface, props.className)}
    />
  );
}
